"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _assign = require("babel-runtime/core-js/object/assign");

var _assign2 = _interopRequireDefault(_assign);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function PgColumnDeprecationPlugin(builder) {
  builder.hook("GraphQLObjectType:fields:field", (field, build, context) => {
    const {
      scope: {
        isPgRowType,
        isPgCompoundType,
        pgIntrospection: table,
        pgFieldIntrospection
      }
    } = context;
    if (!(isPgRowType || isPgCompoundType) || !table || table.kind !== "class" || !pgFieldIntrospection || !pgFieldIntrospection.tags) {
      return field;
    }
    return pgFieldIntrospection.tags.deprecated ? (0, _assign2.default)({}, field, {
      deprecationReason: Array.isArray(pgFieldIntrospection.tags.deprecated) ? pgFieldIntrospection.tags.deprecated.join("\n") : pgFieldIntrospection.tags.deprecated
    }) : field;
  });
};
//# sourceMappingURL=PgColumnDeprecationPlugin.js.map